#### Version 1.6.0 (UPCOMING)

  * [New]  Input: can parse names of files exported by Operetta's Harmony.

  * [New]  Rendering: contours of nuclei can be white.

  * [New]  Export: contours drawn over an exported image are antialiased.

  * [New]  Preferences: Add a preference to retain channel view across image directory loadings.

  * [Breaking]  Quantification: relative inertia is computed non-canonically (intensity is squared).

  * [Fix]  Input: image paths containing a channel-like chunk are interpreted correctly.

  * [Fix]  Script:  disallow a script command to run in parallel in another thread.

  * [Fix]  Quantification:  prevent manual quantification in the overlay pane.

  * [Performance]  Pixmap cache: pixmaps are generated in parallel (if images loaded into RAM).


#### Version 1.5.0 (2021-05-23)

  * [New]  Nuclei detection: bright nuclei can be dimmed ("uniformization") before thresholding.

  * [New]  Can interactively quantify parts of the image in any selectable contour.

  * [New]  More quantifiables: for quarters, thirds, and halfs of intensity distributions.

  * [New]  Can quantify halos in finely adjusted Voronoi cells around nuclei.

  * [New]  Quantifiable features of nuclear and region contours include relative inertia.

  * [New]  Z-order added to facilitate manual contour selection.

  * [New]  Nuclei editing: can split touching or overlapping nuclei with mouse.

  * [New]  Nuclei editing: can center on a selected nuclear contour.

  * [New]  Nuclei editing: can highlight externally specified nuclear contours.

  * [New]  Regions editing: adjacent background tiles can be merged.

  * [New]  Menu View: can display images with intermediate auto-leveling.

  * [New]  Command line: more flexibility in parsing.

  * [Fix]  No more spurious nuclear contours when thresholding baseline > 0.

  * [Fix]  Contours of large perinuclei are no longer rhomboidal.

  * [Fix]  Fixed a subtle bug that led to omission of minor C-shaped perinuclei.

  * [Fix]  Fixed a subtle bug that gave rise to duplicate split orphan contours.

  * [Fix]  Script-set channel descriptions propagate to the very bottom of data structures.

  * [Fix]  Memory leaks due to Qt detachment have been removed.

  * [Fix]  Scripting: the for-each-frame construct performs "refresh".

  * [Fix]  Can read a sequence of images with initial time index > 0.

  * [Performance]  Regions editing: background sampling faster by an O(magnitude).

  * [Performance]  Joining of tracks and quant-files in Python module faster by an O(magnitude).

  * [Convenience]  Reorganized keyboard shortcuts.

  * [Breaking]  Nuclei "incompleteness" status is now called just "toggled".

  * [Breaking]  Regions editing: removed subshifting of a putative background tile.

  * [Distrib,Windows]  Added an installer for the executable compiled with g++ under MinGW-w64.


#### Version 1.4.0 (2019-11-09)

  * [New]  Input image files can be named according to more than one convention.

  * [New]  Original images can be either stored in RAM or loaded on demand from disk.

  * [New]  Image overlays can be optionally generated on demand to save RAM.

  * [New]  Conversion to 8-bit may have non-integer resolution of camera bit depth.

  * [New]  Conversion to 8-bit may globally subtract a given (background) intensity.

  * [New]  Basic UNIX signal handling.

  * [Breaking]  Changed names of files in which toolboxen settings are stored.


#### Version 1.3.0 (2019-10-03)

  * [New]  Perinuclei can avoid image background.

  * [New]  Quantifications include intensity std dev, and 1st and 3rd quartile.

  * [New]  Menu View shows channel descriptions, if available.

  * [New]  Manual window has scalable font size.

  * [Fix]  Background sampling is performed out of image masks.

  * [Fix]  Script execution does not freeze GUI.

  * [Fix]  Stop script execution upon failure ("panic()").

  * [Fix]  Checking latest available version upon startup is configurable.

  * [Fix]  Nuclei matching for tracking is done using single-channel images.

  * [Fix]  Log window displays all messages.

  * [Fix]  Container recipe can be used by the latest Singularity.

  * [Distrib]  Can build source code distribution.

  * [New,Support]  Python module can load tracks partially.


#### Version 1.2.0 (2019-07-02)

  * [New]  Can detect nuclei based on cytoplasmic staining.

  * [Format]  CVS-ize tesselation neighbors output file.

  * [Performance]  Speed-up in-contour quantification ~10x.

  * [Devel]  Add example standalone nuclei detection programs.


#### Version 1.1.0 (2019-06-02)

  * [New]  Can create Voronoi cells around nuclei.

  * [New]  Can propose background regions.

  * [Format]  Change format of region contours file.

  * [Format]  Label regions using numbers.

  * [Format]  Display log also in terminal.


#### Version 1.0.0 (2019-01-29)

  * [Doc]  Include manual in PDF format. 

  * [Version]  Promote to release version 1.0.0.


#### Version 0.7.8 (2019-01-26)

  * [Fix]  Fix a CSV file header.


#### Version 0.7.7 (2019-01-26)

  * [Format]  Tracks are exported to one CSV file.


#### Version 0.7.6 (2018-12-10)

  * [Format]  Quantifications are exported to CSV (not DAT) files.


#### Version 0.7.5 (2018-12-06)

  * [New]  Scripting: Code editor is equipped with completer.


#### Version 0.7.4 (2018-12-01)

  * [New]  Tracking: Can predict nucleus position.


#### Version 0.7.3 (2018-10-26)

  * [New]  Quantifications: Nuclei quantifications include X,Y position.


#### Version 0.7.2 (2018-09-03)

  * [Distrib,Mac]  Has infrastructure to deploy on macOS.


#### Version 0.7.1 (2018-09-02)

  * [Distrib,Linux]  Stores resources, including scripts, in PREFIX/shared/shuttletracker/.


#### Version 0.7.0 (2018-08-29)
 
  * [Version]  Renamed to ShuttleTracker.

  * [New]  Can derive perinuclear annuli and quantify within them.

  * [New]  Can quantify images with cyan, magenta, yellow LUTs.

  * [Contrib]  Embeds TinyXML2 6.2.0.


#### Version 0.6.0 (2017-01-06)

  * [New,Input]  Can read images with cyan, magenta, yellow LUTs.

  * [Distrib,Windows]  Built with Qt 5.8, Boost 1.63, OpenCV 3.2 using VC14 (MSVC 2015).


#### Version 0.5.2 (2015-10-08)

  * [New]  Quantifications: Can export quants of nuclei, regions, and image -- separately.


#### Version 0.5.1 (2015-08-12)

  * [Fix]  Tracks editing: Track is redrawn after its nucleus has been redrawn.


#### Version 0.5.0 (2015-08-05)

  * [New]  Tracking: Can construct tracks in the presence of other tracks, enabling iterative corrections.

  * [New]  Tracks editing: New nuclei can be marked as track stubs.

  * [New]  Tracks editing: Nuclei within tracks can be replaced by manually drawn ones.

  * [New]  Tracks editing: Can remove only non-revised tracks.

  * [Fix]  Each toolbox when activated modifies appropriately "editability" of geometric primitives.

  * [Fix]  Scripting: All scripts return to the frame at which they were called.

  * [Performance]  Nuclei detection: Parameter scan: Common preprocessing steps are	performed once.

  * [Distrib,Windows]  Deploying with latest Qt libraries (version 5.5) and OpenCV libraries (version 3.0).


#### Version 0.4.9 (2015-07-28)

  * [New]  Nuclei detection: Parameter scan: Scoring threads are be terminated within a user-defined time-out.

  * [Fix]  Images loading: No more small, ephemeral windows.

  * [Doc]  Manual: scattered updates.


#### Version 0.4.8 (2015-07-27)

  * [Fix,Windows]  Skipping of bright-field images has been fixed.


#### Version 0.4.7 (2015-07-21)

  * [New]  Can read metadata from a simple, user-created text file (manual provides an example).

  * [New]  Nuclei detection: Parameter scan: timeout enables recovery from nasty cases.


#### Version 0.4.6 (2015-06-26)

  * [New]  Can skip loading bright-field images (to save memory; EXPERIMENTAL FEATURE).

  * [New]  The fast-access pixmap display cache can be disabled (to save memory).


#### Version 0.4.5 (2015-06-17)

  * [New]  Normalization of >8-bit images based on camera bit depth is optional.


#### Version 0.4.4 (2015-05-28)

  * [New]: Can read Z-stacks.


#### Version 0.4.3 (2015-05-14)

  * [Fix]  Windows: MEFScripts directory searching is fixed (to a some extent).

  * [New]  About dialog shows location of the MEFScripts directory.

  * [Fix]  Tracks are removed when nuclei are cleared (also when a nuclei contours file is loaded).


#### Version 0.4.2 (2015-04-01)

  * [Fix]  Navigation does not disappear after quantifying nuclei.

  * [New]  Can hide tracks' stubs optionally.

  * [New]  Has a script for loading nuclei contour files as well as tracks.


#### Version 0.4.1 (2015-03-25)

  * [Fix]  Set graphics items selectability according to the currently active tool.


#### Version 0.4.0 (2015-03-25)

  * [New]  Can track nuclei on the frame-to-frame basis.

  * [New]  Tracking parameters are configurable and can be stored/restored.

  * [New]  Tracks can be selected and edited by mouse.

  * [New]  Tracks can be marked as revised.

  * [New]  Tracks can be saved and loaded.

  * [New]  A docking menu with toolboxen can be displayed.

  * [New]  Has a stub of documentation available via the Help menu.


#### Version 0.3.1 (2015-03-11)

  * [New]  Can read and process RAW images of >8 bit resolution.

  * [Fix]  Fixed exporting in scripting API.


#### Version 0.3.0 (2015-02-26)

  * [BEAKING]  MEFTrack accepts now only RAW LUT-less TIFF images.

  * [Distrib,Windows]  MEFTrack has now an installer.


#### Version 0.2.17 (2015-02-26)

  * [Fix,Windows]  First nucleus label is 1, again.


#### Version 0.2.16 (2015-02-20)

  * [Fix]  First region contour label is A, again.


#### Version 0.2.15 (2015-02-19)

  * [New]  Can remove interior debris.


#### Version 0.2.14 (2015-02-02)

  * [Fix]  Lower (~30%) memory footprint.

  * [New]  More visually enhanced images.

  * [New]  Preferences: can auto-exclude bright-field images from overlays.


#### Version 0.2.13 (2015-01-31)

  * [Fix]  Drawn contour points are positioned in the middle of image pixels.


#### Version 0.2.12 (2015-01-30)

  * [Fix]  Completeness status of nuclei is now saved in nuclei files (not only in quant-files).

  * [Fix]  Currently it is not possible to remove nuclei when editing regions, and vice versa.


#### Version 0.2.11 (2015-01-29)

  * [New]  Nuclei and regions can be defined separately in every time-frame.

  * [New]  Nuclei detection: auto-thresholding parameters' ranges can be defined in GUI.

  * [New]  New menu: Preferences; can be used to auto-hide the bright-field panel.

  * [Fix]  Settings file is divided into reasonable sections.


#### Version 0.2.10 (2015-01-28)

  * [Fix]  A serious bug resulting in incomplete in nuclei segmentation has been fixed.


#### Version 0.2.9 (2015-01-27)

  * [Performance]  Nuclei segmentation is ~1.5x faster.

  * [Fix]  A special case in nuclei segmentation is handled properly now.


#### Version 0.2.8 (2015-01-22)

  * [Fix]  No more redundant contours from splitting.

  * [Fix]  Prevent from drawing single-point contours.


#### Version 0.2.7 (2015-01-19)

  * [Fix]  Trim contours on borders.


#### Version 0.2.6 (2015-01-16)

  * [Fix]  Reset region contours upon directory reload.


#### Version 0.2.5 (2015-01-16)

  * [Fix]  Masking is visible also in visually enhanced images.

  * [Performance]  Masking tool is more responsive.

  * [Format]  In the nuclei quants file, completeness status is written in the 3rd column (2nd column is for area).


#### Version 0.2.4 (2015-01-16)

  * [Distrib,Fix]  Added missing libraries.


#### Version 0.2.3 (2015-01-14)

  * [Performance]  Improved responsiveness of manual nuclei editing.


#### Version 0.2.2 (2015-01-13)

  * [New]  Can automatically toggle the status of all nuclei at the border to mark/unmark them as incomplete.


#### Version 0.1.0 (2014-12-30)

  * [New]  Create a sketch of a software tool called MEFTrack.

