Features
========

Major
-----

* [v1.6] Revised channel intensity arithmetics.

* [v1.6] New scoring function for automated optimization of thresholding parameters,
         based on matching of blob contours with contours found by edge detection.
         Three functions should be available:
         - contour overlap
         - contour overlap * solidity
         - contour overlap * solidity * area

* [v1.6] Command line: -I|--input    INPUTDIR
                       -O|--output   OUTPUTDIR
                       -M|--metadata METADATAFILE
                       -X|--execute  SCRIPTFILE

* [v1.6] Declumping: disallow cuts between convexity defects that would result
         in highly elongated nuclear contours.

* [v1.7] New alternative declumping algorithms:
    - pixel replication for elliptical shapes (Winter et al. 2016),
    - plain watershed.

* [v1.7] Capability to shift channel images in X,Y.


Minor
-----

* [v1.6] Save nuclear contours to JSON.

* [v1.6] Metadata file: JSON (or, even better, YAML) format; channel proprrties:
         contents info, shift{x,y} [v1.7?], discarded, normalization (revised!) params, etc..

* [v1.6] Metadata file: bit resolution and min value may assume value 'auto'.

* [v1.7] When editing nuclei and having tracks, optionally split track on nuclei removal.

* Format: is origin required in region contour files?

* NucCut: prevent significant nucleus shrinking.

* NucCut: optionally prevent overlap with adjacent contours(?).


Refactoring
===========

* Refactor PixmapCache: create two classes, caching and non-caching, each
  with if-less methods.

* Display update from PixmapCache in a separate thread to avoid GUI freeze.

