#ifndef PROGRESSTHREAD_HPP
#define PROGRESSTHREAD_HPP

#include <QThread>
#include <QTimer>
#include <QMutex>
#include <QDir>

#include <ImageSequence.hpp>


class ImageSequenceReaderThread : public QThread
{
  Q_OBJECT


public:
  typedef mefisto::ImageSequence<mefisto::QtReportingPolicy> ImageSequenceType;


  ImageSequenceReaderThread(
      QObject* parent,
      ImageSequenceType* image_sequence_,
      QDir const& dir) ;
  //virtual ~ProgressThread() ;

  void reset(ImageSequenceType*) ;

  void run();
  void exit(int retcode = 0);


signals:

  void startProgress();
  void stopProgress();
  void progressMaxValue(int);
  void progressCurValue(int);
  void readingError(QString);


private slots:

  void periodically();


private:

  void sayProgress() ;


protected:
  //static QMutex mutex_;

  ImageSequenceType* image_sequence_;
  QDir dir_;

  QTimer timer_;
  bool stop_requested_;

};

#endif // PROGRESSTHREAD_HPP
