// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "GUI/Support/LineNumberArea.hpp"
#include "GUI/Support/ScriptEditor.hpp"

LineNumberArea::LineNumberArea(ScriptEditor* editor)
: QWidget(editor),
  editor_(editor)
{ }

QSize LineNumberArea::sizeHint() const
{ return QSize(editor_->lineNumberAreaWidth(), 0); }

void LineNumberArea::paintEvent(QPaintEvent* event)
{ editor_->lineNumberAreaPaintEvent(event); }
