// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_GUI_SUPPORT_LINENUMBERAREA_HPP
#define SHUTTLETRACKER_GUI_SUPPORT_LINENUMBERAREA_HPP

#include "GUI/GUICommon.hpp"
#include <QWidget>

class ScriptEditor;

class LineNumberArea : public QWidget {
public:
  LineNumberArea(ScriptEditor* editor);
  QSize sizeHint() const OVERRIDE;

protected:
  void paintEvent(QPaintEvent* event) OVERRIDE;

private:
  ScriptEditor* editor_;
}; // class LineNumberArea

#endif // defined(SHUTTLETRACKER_GUI_SUPPORT_LINENUMBERAREA_HPP)
