// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_GUI_SUPPORT_RICHTEXTDIALOG_HPP
#define SHUTTLETRACKER_GUI_SUPPORT_RICHTEXTDIALOG_HPP

#include "GUI/GUICommon.hpp"
#include <QDialog>
#include <QString>
class QVBoxLayout;
class QTextEdit;

class RichTextDialog: public QDialog {
  Q_OBJECT

public:
  RichTextDialog(int width, int height, QWidget* parent);
  virtual void setText(QString const&);

protected:
  QVBoxLayout* layout_;
  QTextEdit* text_;
  QString const text_end_anchor_;

}; // class RichTextDialog

#endif // !defined(SHUTTLETRACKER_GUI_SUPPORT_RICHTEXTDIALOG_HPP)
