// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "HelpWindow.hpp"
#include "ui_HelpWindow.h"
#include <QDir>
#ifdef Q_OS_WIN
#  include <QCoreApplication>
#endif


HelpWindow::HelpWindow(QWidget *parent)
: QWidget{parent},
  ui_{new Ui::HelpWindow}
{
  ui_->setupUi(this);

#ifdef Q_OS_WIN
  QUrl const url_of_manual = QString("file:///")
      + QDir(QCoreApplication::applicationDirPath()).absolutePath()
      + QDir::separator() + "Documentation"
      + QDir::separator() + "Manual.html";
#else
#  ifdef SHUTTLETRACKER_SHARED_DIR
    QUrl const url_of_manual = QString("file:///")
      + QDir(QString(SHUTTLETRACKER_SHARED_DIR)).absolutePath()
      + QDir::separator() + "shuttletracker"
      + QDir::separator() + "docs"
      + QDir::separator() + "Manual.html";
#  else
    QUrl const url_of_manual = QString("docs/Manual.html");
#  endif
#endif
  ui_->textBrowserManual->setSource(url_of_manual);

#ifdef Q_OS_MACOS
  ui_->textBrowserManual->setFontFamily("Monaco");
  ui_->textBrowserManual->setFontPointSize(16);
#endif

  ui_->textBrowserManual->setOpenLinks(true);
  ui_->textBrowserManual->setOpenExternalLinks(true);
}


HelpWindow::~HelpWindow()
{  delete ui_;  }
