// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "LogWindow.hpp"
#include <QStringList>
#include <QWidget>


LogWindow::LogWindow(QStringList const& messages, QWidget* parent)
: RichTextDialog{1000, 500, parent}
{
  setWindowTitle("ShuttleTracker - Logged messages");
  setWindowFlags(windowFlags() & ~Qt::WindowMaximizeButtonHint
                               & ~Qt::WindowMinimizeButtonHint);
  setMouseTracking(true);
  setSizeGripEnabled(false);

  setText(messages.join('\n'));
}
