// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "MainWindow.hpp"
#include "ui_MainWindow.h"
#include "GUI/Windows/LogWindow.hpp"

void MainWindow::on_actionManual_triggered()
{  help_window_.reset(new HelpWindow());  help_window_->show();  }

void MainWindow::on_actionShowLog_triggered()
{  LogWindow w(log_, this);  w.exec();  }

void MainWindow::on_actionAbout_triggered()
{
  about_dialog_.reset(new AboutDialog(this));
  about_dialog_->tellScriptsDirPath(script_window_->scriptsDir().absolutePath());
  about_dialog_->show();
}
