// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "MainWindow.hpp"
#include "ui_MainWindow.h"

namespace {
char const* sEffectiveAfterReloading = \
    "This preference change will take effect next time when images are loaded.";
}


void MainWindow::on_actionAfterOpenNormalizeToCameraBitDepth_toggled(bool)
{  if (not images_->empty()) { message_('I', sEffectiveAfterReloading); }  }

void MainWindow::on_actionStoreOriginalImagesInMemory_toggled(bool on)
{
  if (not images_->empty()) { message_('I', sEffectiveAfterReloading); }
  ui_->actionPreferenceAfterOpenComputeOverlays->setEnabled(on);
  if (not on) {ui_->actionPreferenceAfterOpenComputeOverlays->setChecked(false);}
}

void MainWindow::on_actionAfterOpenCachePixmaps_toggled(bool)
{ if (not images_->empty()) { message_('I', sEffectiveAfterReloading); } }

void MainWindow::on_actionPreferenceWhenLoadingOmitBrightfieldImages_toggled(bool on)
{
  ui_->actionAfterOpenHideBrightfield->setEnabled(not on);
  ui_->actionAfterOpenExcludeBrightfieldFromOverlays->setEnabled(not on);
  if (not images_->empty()) { message_('I', sEffectiveAfterReloading); }
}

void MainWindow::on_actionAfterOpenHideBrightfield_toggled(bool)
{ if (not images_->empty()) { message_('I', sEffectiveAfterReloading); } }

void MainWindow::on_actionAfterOpenExcludeBrightfieldFromOverlays_toggled(bool)
{ if (not images_->empty()) { message_('I', sEffectiveAfterReloading); } }

void MainWindow::on_actionPreferenceAfterOpenComputeOverlays_toggled(bool on)
{ if (on) { ui_->actionStoreOriginalImagesInMemory->setChecked(true); } }
