// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#include "ErrorHandling.hpp"

namespace st {

#ifdef USE_QT
QtInformativeException::QtInformativeException(std::exception& e)
: err_(e), what_(e.what()) {}

void QtInformativeException::raise() const
{ throw *this; }

QT_EXCEPTION* QtInformativeException::clone() const
{ return new QtInformativeException(*this); }

const char* QtInformativeException::what() const NOEXCEPT
{ return what_.c_str(); }

std::exception QtInformativeException::error()
{ return err_; }
#endif

} // namespace st
