// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_IMAGE_IMAGECOMMON_HPP
#define SHUTTLETRACKER_IMAGE_IMAGECOMMON_HPP

#include "common.hpp"

#define SHUTTLETRACKER_IMAGE_PROCESSING_IS_MULTITHREADED 1

#define OVERRIDE override

#ifdef _MSC_VER
#  define CONSTEXPR const
#  define NOEXCEPT  throw()
#else
#  define CONSTEXPR constexpr
#  define NOEXCEPT  noexcept
#endif

#define SSIZE(c)     (static_cast<long int>(c.size()))  // signed size()
#define SSIZE_PTR(c) (static_cast<long int>(c->size())) // signed size()
#define AS_INT(s)    (static_cast<int>(s))
#define AS_UINT(s)   (static_cast<unsigned int>(s))
#define AS_SIZE(s)   (static_cast<std::size_t>(s))
#define AS_FLOAT(s)  (static_cast<float>(s))
#define AS_DOUBLE(s) (static_cast<double>(s))

#define IS_EVEN(n) (static_cast<bool>(n % 2) == 0)
#define IS_ODD(n)  (static_cast<bool>(n % 2) == 1)

#endif // !defined(SHUTTLETRACKER_IMAGE_IMAGECOMMON_HPP)
