// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLETRACKER_IMAGE_NUCLEIDETECTIONNONSTAINED_HPP
#define SHUTTLETRACKER_IMAGE_NUCLEIDETECTIONNONSTAINED_HPP

#include "NucleiDetection.hpp"

namespace st {
namespace nonstained {

/// @arg img_out_partial is smooth but morphologically non-opened,
///                      in contrast to @arg img_out_complete
void preprocessImage(cv::Mat const& img_in,
                     cv::Mat& img_out_complete,
                     cv::Mat& img_out_partial,
                     ImagePreprocessingParameters const& params,
                     bool preview = false ) ;

void findNuclearContours(cv::Mat const& img_orig,
                         cv::Mat const& img_preprocessed_full,
                         cv::Mat const& img_preprocessed_partial,
                         contours_vec_t& returned_contours,
                         NucleiDetectionParameters const&,
                         bool preview = false) ;

} // namespace nonstained
} // namespace st

#endif // !defined(SHUTTLETRACKER_IMAGE_NUCLEIDETECTIONNONSTAINED_HPP)
