// ShuttleTracker, a tracker of nucleocytoplasmic trafficking in cells
//
// Copyright (C)  2015-2023  Marek Kochanczyk <mkochan:at:ippt.pan.pl>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU GPL version 3. See LICENSE.md for details.

#ifndef SHUTTLE_TRACKER_IMAGE_TYPES_HPP
#define SHUTTLE_TRACKER_IMAGE_TYPES_HPP

#include "ImageCommon.hpp"

#include <vector>                  // std::vector
#include <opencv2/core.hpp>        // CV_{MAJOR,MINOR}_VERSION
#include <opencv2/core/types.hpp>  // cv::Point

namespace st {

using  contour_t      = std::vector<cv::Point>;
using  contouri_t     = std::vector<int>;
using  contours_vec_t = std::vector<contour_t>;
using pcontours_vec_t = std::vector<contour_t const*>;

} // namespace st

#endif // defined(SHUTTLE_TRACKER_IMAGE_TYPES_HPP)
